## GnomeDbEntryString

GnomeDbEntryString —

##

# Synopsis

    struct      GnomeDbEntryString;
    struct      GnomeDbEntryStringClass;
    struct      GnomeDbEntryStringPrivate;
    GtkWidget*  gnome_db_entry_string_new       (GdaDataHandler *dh,
                                                 GType type,
                                                 const gchar *options);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkViewport
                                           +----GnomeDbEntryShell
                                                 +----GnomeDbEntryWrapper
                                                       +----GnomeDbEntryString

## Implemented Interfaces

GnomeDbEntryString implements GtkCellEditable, GnomeDbDataEntry, AtkImplementorIface and GtkBuildable.

## Properties

      "editing-cancelled"    gboolean             : Read
      "multiline"            gboolean             : Read / Write
      "options"              gchararray           : Write

## Description

## Details

### struct GnomeDbEntryString

    struct GnomeDbEntryString;

### struct GnomeDbEntryStringClass

    struct GnomeDbEntryStringClass {

    	GnomeDbEntryWrapperClass         parent_class;
    };

### struct GnomeDbEntryStringPrivate

    struct GnomeDbEntryStringPrivate;

### gnome_db_entry_string_new ()

    GtkWidget*  gnome_db_entry_string_new       (GdaDataHandler *dh,
                                                 GType type,
                                                 const gchar *options);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
`options` : |
Returns : | the new widget

## Properties

"`editing-cancelled`" (gboolean : Read) |
"`multiline`" (gboolean : Read / Write) |
"`options`" (gchararray : Write) |